%global momorel 2
%global md5sum_src0 94be73485eeb8584b4aeaa8ac87699f0
Summary: evince document viewer
Name: evince

Version: 0.5.3
Release: %{momorel}m
License: GPL
Group: Applications/File
URL: http://www.gnome.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.5/%{name}-%{version}.tar.bz2 %{md5sum_src0}
# This patch for web browser to display pdf file.
Patch0: evince-0.5.3-web-pdf.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gtk+-devel >= 2.8.17
BuildPreReq: libgnomeui-devel >= 2.14.0
BuildPreReq: gnome-vfs-devel >= 2.14.0
BuildPreReq: libglade-devel >= 2.5.1
BuildPreReq: poppler-devel >= 0.5.3
BuildPreReq: GConf-devel >= 2.13.5
BuildPreReq: glib-devel >= 2.10.2
BuildPreReq: gnome-keyring-devel >= 0.4.9
BuildPreReq: libgnomeprintui-devel >= 2.12.1
BuildPreReq: dbus-devel >= 0.61
BuildPreReq: nautilus-devel >= 2.14.0
BuildPreReq: ghostscript-devel
BuildPreReq: openssl-devel >= 0.9.8a
Requires: dbus >= 0.60

%description
Evince is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.  For more general
information about Evince please visit our website at
http://www.gnome.org/projects/evince/

%prep
%setup -q
%patch0 -p1

%build
%configure \
    --enable-nautilus \
    --enable-tiff \
    --enable-djvu \
    --enable-dvi \
    --enable-t1lib \
    --enable-pixbuf \
    --enable-comics \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache
find %{buildroot} -name "*.la" -delete

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-key=NoDisplay \
  %{buildroot}%{_datadir}/applications/evince.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/evince.schemas > /dev/null

%preun
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas > /dev/null
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas > /dev/null
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/evince.schemas > /dev/null

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/nautilus/extensions-1.0/*.so
%{_datadir}/applications/evince.desktop
%{_datadir}/evince
%{_datadir}/gnome/help/evince
%{_datadir}/locale/*/*/*
%{_datadir}/omf/evince
%{_bindir}/evince*
%{_sysconfdir}/gconf/schemas/evince*
%{_datadir}/icons/hicolor/16x16/apps/evince-16.png
%{_datadir}/icons/hicolor/22x22/apps/evince-22.png
%{_datadir}/icons/hicolor/48x48/apps/evince.png
%{_datadir}/icons/hicolor/scalable/apps/evince.svg

%changelog
* Wed Jun 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-2m)
- enable commic
- delete devel package
- enable web browser to displauy pdf, but this is bug of gnome-vfs
-- all file can open evince (umm shome thing wrong)

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-1m)
- update to 0.5.3

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.7-3m)
- rebuild against dbus-0.61

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.7-2m)
- rebuild against openssl-0.9.8a

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.7-1m)
- update to 0.5.7

* Wed Jan  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-6m)
- add --disable-scrollkeeper --disable-schemas-install  to %configure

* Tue Jan  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-5m)
- rebuild against dbus-0.60-2m

* Mon Nov 28 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-5m)
- use /sbin/ldconfig instead of %%post(un) -p /sbin/ldconfig

* Mon Nov 28 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-4m)
- add %%post and %%preun for schemas
- add BuildRequires: ghostscript-devel

* Sun Nov 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-3m)
- delete "NoDisplay" entry from evince.desktop file

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-2m)
- delete autoreconf and make check

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- start
- GNOME 2.12.1 Desktop
